Bug 448252 - gtk-window-decorator fails
gtk-window-decorator fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-24 21:01 EDT by Sam Varshavchik
Modified: 2009-07-14 14:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:09:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of desktop-effects failure (1.16 MB, text/plain)
2008-05-24 21:01 EDT, Sam Varshavchik
no flags Details
Xorg.0.log (33.45 KB, text/plain)
2008-06-02 21:08 EDT, Sam Varshavchik
no flags Details
xorg.conf (1.11 KB, application/octet-stream)
2008-06-02 21:09 EDT, Sam Varshavchik
no flags Details

  None (edit)
Description Sam Varshavchik 2008-05-24 21:01:58 EDT
Note: Compiz was working on this hardware in Fedora 8.

Enabling "Desktop Effects" resets the display without any window decorations. If
I have an available terminal window, "ps" shows that metacity is not running any
more. "Use previous settings" restores non-accelerated display, and metacity is
running again.

.xsession-errors shows the following message, which appears in the attached strace:

7575  write(2, "gtk-window-decorator: Screen 0 on display \":0.0\" already has a
decoration manager; try using the --replace option to replace the current
decoration manager.\n", 157) = 157

Note that ps showed that metacity wasn't running any more, after attempting to
enable desktop-effects.

Attaching strace of what desktop-effects was doing.
Comment 1 Sam Varshavchik 2008-05-24 21:01:58 EDT
Created attachment 306592 [details]
strace of desktop-effects failure
Comment 2 Matěj Cepl 2008-06-02 18:23:56 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Sam Varshavchik 2008-06-02 21:08:59 EDT
Created attachment 308172 [details]
Xorg.0.log
Comment 4 Sam Varshavchik 2008-06-02 21:09:41 EDT
Created attachment 308173 [details]
xorg.conf
Comment 5 Sam Varshavchik 2008-06-02 21:11:31 EDT
Config files uploaded. Note: compiz worked on this hardware in F8.
Comment 6 Bug Zapper 2009-06-09 21:09:12 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 14:09:20 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.